## org.hibernate.event
Class FlushEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.FlushEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AutoFlushEvent, DirtyCheckEvent

    public class FlushEvent

extends AbstractEvent

Defines an event class for the flushing of a session.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`FlushEvent(EventSource source)`

Method Summary

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlushEvent

    public FlushEvent(EventSource source)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.